Subject: bug#42889: 28.0.50; make-pointer-invisible t should work also for navigation commands

From: Stefan Kangas <[email-masked]>
Date: Wed, 20 Oct 2021 08:07:32 -0700

tags 42889 + patch
thanks

Eli Zaretskii <[email-masked]> writes:

>> Date: Mon, 17 Aug 2020 19:56:40 +0300
>> From: Eli Zaretskii <[email-masked]>
>> Cc: [email-masked]
>>
>> I actually thought about something more direct: force
>> note_mouse_highlight return early before highlighting anything, when a
>> certain variable is non-nil (that variable could be f->pointer_invisible).
>
> Btw, please take a look at the variable mouse-highlight: doesn't it
> already provide support for the feature being sought here?

Yes, I think it does.  I think this is strictly a documentation bug
then, thanks for pointing it out.

I guess the attached patch should be okay for emacs-28.
From 8da55ed988d59f95426da2f8d9af6efe7bbd740c Mon Sep 17 00:00:00 2001
From: Stefan Kangas <[email-masked]>
Date: Wed, 20 Oct 2021 16:53:44 +0200
Subject: [PATCH] Refer to mouse-highlight from make-pointer-invisible
 docstring

* src/frame.c (syms_of_frame) <Vmake_pointer_invisible>: Doc fix;
add reference to 'mouse-highlight'.  (Bug#42889)
---
 src/frame.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/src/frame.c b/src/frame.c
index f95566818a..2b1cb452ef 100644
--- a/src/frame.c
+++ b/src/frame.c
@@ -6238,7 +6238,10 @@ syms_of_frame (void)
 
   DEFVAR_LISP ("make-pointer-invisible", Vmake_pointer_invisible,
                doc: /* If non-nil, make mouse pointer invisible while typing.
-The pointer becomes visible again when the mouse is moved.  */);
+The pointer becomes visible again when the mouse is moved.
+
+When using this, you might also want to disable highlighting of
+clickable text.  See `mouse-highlight'.  */);
   Vmake_pointer_invisible = Qt;
 
   DEFVAR_LISP ("move-frame-functions", Vmove_frame_functions,
-- 
2.30.2